html {
  font-size: 62.5%; /*16px * 62.5 = 10px = 1rem*/
  box-sizing: border-box;
}

body {
  margin: 0;
  height: 100vh;
  font-size: 1.6rem;
  font-family: Helvetica, Arial, sans-serif;
  background-color: #f2f5f7;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul {
  list-style-type: none;
}

#root {
  height: 100%;
}

/*Layout*/
.grid-container {
  display: grid;
  grid-template-areas:
    "header"
    "main"
    "footer";
  grid-template-columns: 1fr;
  grid-template-rows: 5rem 1fr 5rem;
  height: 100;
}

header {
  grid-area: header;
  background-color: #fe5721;
  color: #fff;
}

.badge {
  background-color: white;
  color: #fe5721;
  border-radius: 45%;
  padding: 0.1rem 0.7rem;
  font-size: 1.4rem;
  bottom: 24px;
  position: relative;
}

main {
  margin-top: 5rem;
  grid-area: main;
  padding: 1rem;
}

footer {
  margin-top: 300px;
  grid-area: footer;
  background-color: #fbfbfb;
  color: #a9a9a9;
  font-size: 13px;
  text-align: center;
}

.footer-content {
  margin: 0 5%;
}

.row {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
}

.row.center {
  justify-content: center;
}

.row.top {
  align-items: flex-start;
}

.col-pic {
  flex: 1 1 50rem;
}

.col-desc {
  flex: 3 1 75rem;
  background-color: white;
  height: 675px;
  min-width: 603px;
  padding: 2rem;
}

.min-30 {
  min-width: 30rem;
}

footer {
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 80px;
}

/*Navbar Start*/
@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap");

*,
*:after,
*:before {
  box-sizing: border-box;
}

:root {
  --header-outer-height: 110px;
  --header-inner-height: 70px;
  --header-height-difference: calc(
    var(--header-outer-height) - var(--header-inner-height)
  );
  --header-bg: #fff;
}

.responsive-wrapper {
  width: 90%;
  max-width: 1280px;
  margin-left: auto;
  margin-right: auto;
}

/* Sticky header */
.header-outer {
  /* Make it stick */
  height: var(--header-outer-height);
  position: sticky;
  top: calc(
    var(--header-height-difference) * -1
  ); /* Multiply by -1 to get a negative value */
  display: flex;
  align-items: center;

  /* Other */
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.1);

  background-color: #fe5721;
  color: #fff;
}

.header-inner {
  /* Make it stick */
  height: var(--header-inner-height);
  position: sticky;
  top: 0;

  /* Other */
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* Styling of other elements */
.header-logo img {
  display: block;
  height: calc(var(--header-inner-height) - 10px);
}

.header-navigation {
  display: flex;
  flex-wrap: wrap;
}

.header-navigation a,
.header-navigation button {
  font-size: 1.125rem;
  color: inherit;
  margin-left: 1.75rem;
  position: relative;
  font-weight: 500;
}

.header-navigation a {
  display: none;
  font-size: 1.3rem;
  color: inherit;
  text-decoration: none;
}

.header-navigation button {
  border: 0;
  background-color: transparent;
  padding: 0;
}

.header-navigation a:hover:after,
.header-navigation button:hover:after {
  transform: scalex(1);
}

.header-navigation a:after,
.header-navigation button:after {
  transition: 0.25s ease;
  content: "";
  display: block;
  width: 100%;
  height: 2px;
  background-color: currentcolor;
  transform: scalex(0);
  position: absolute;
  bottom: -2px;
  left: 0;
}

@media (min-width: 800px) {
  .header-navigation a {
    display: inline-block;
  }

  .header-navigation button {
    display: none;
  }
}
/*Navbar END*/

hr {
  border: 0;
  height: 1px;
  background-image: linear-gradient(
    to right,
    rgba(0, 0, 0, 0),
    rgba(0, 0, 0, 0.75),
    rgba(0, 0, 0, 0)
  );
}

img {
  border-radius: 0.5rem;
}

img.small {
  max-width: 7rem;
  width: 100%;
}

img.medium {
  width: 100%;
  max-width: 201px;
  height: auto;
}

img.medium {
  width: 100%;
  height: auto;
}

.cat-container {
  display: flex;
  align-items: stretch;
  justify-content: center;
  font-size: 1rem;
}

.cat-col {
  justify-content: space-around;
  padding: 0 3rem;
  margin: 0;
  list-style: none;
  align-self: auto;
}

.card {
  border: 0.1rem #c0c0c0 solid;
  background-color: white;
  border-radius: 0.5rem;
  margin: 1rem;
}

.card-body {
  padding: 0.5rem;
}

.card-body > * {
  margin-bottom: 0.5rem;
}

.card:hover {
  border-style: solid;
  border-color: #fe5721;
}

.card:hover .find-similar {
  display: block;
}

.find-similar {
  background-color: #fe5721;
  text-decoration: none;
  color: white;
  padding: 0.2rem;
  font-size: 1.3rem;
  text-align: center;
  display: none;
}

.rating span {
  margin: 0.1rem;
  color: #fe5721;
}
.rating span:last-child {
  color: black;
}

.rating .num-reviewers {
  color: black;
}

.peso {
  font-size: 1.2rem;
  color: #fe5721;
}
.price {
  font-size: 1.5rem;
  color: #fe5721;
  font-weight: 550;
}
.sold {
  margin-left: 40%;
  color: grey;
  font-size: 1.2rem;
}
/*common*/
h1 {
  font-size: 1.8rem;
  padding: 1rem 0;
}
/* product name */
p {
  font-size: 1.2rem;
  padding: 1rem 0;
  color: black;
}

a {
  text-decoration: none;
}

main {
  margin: 5rem 12%;
  height: 70vh;
}

/*Shopee Modal Effect*/
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#myImg:hover {
  opacity: 0.7;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 280px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.5);
}

/* Modal Content (image) */
.modal-content {
  margin: auto;
  display: block;
  width: 50%;
  max-width: 350px;
}

/* Caption of Modal Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation */
.modal-content,
#caption {
  -webkit-animation-name: zoom;
  -webkit-animation-duration: 0.1s;
  animation-name: zoom;
  animation-duration: 0.1s;
}

@-webkit-keyframes zoom {
  from {
    -webkit-transform: scale(0);
  }
  to {
    -webkit-transform: scale(1);
  }
}

@keyframes zoom {
  from {
    transform: scale(0);
  }
  to {
    transform: scale(1);
  }
}

/* The Close Button */
.close {
  position: absolute;
  top: 270px;
  right: 770px;
  color: #f1f1f1;
  font-size: 30px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px) {
  .modal-content {
    width: 100%;
  }
}

/*End of Shopee Modal*/

/*Item*/
.item-price {
  background-color: #fafafa;
  padding: 1.5rem;
  margin: 1rem;
}

.slashed-price {
  text-decoration: line-through;
  color: #a5a5a5;
  margin-right: 10px;
  font-size: 15px;
  font-weight: 550;
}

.new-price {
  color: #ee5031;
  font-size: 28px;
  font-weight: 700;
}

.slashed-price2 {
  text-decoration: line-through;
  color: #a5a5a5;
  margin-right: 10px;
}

.new-price2 {
  color: black;
}

.desc-item {
  margin-top: 3rem;
  background-color: #fafafa;
  padding: 1.5rem;
  margin: 1rem;
}

.total-price2 {
  color: #ee5031;
}

.num-rating {
  text-decoration: underline;
  color: #fe5721;
}

.num-reviewers {
  text-decoration: underline;
  color: black;
}

.add-item {
  margin-top: 2rem;
}

.btn-add-item {
  background-color: white;
  border-color: #d5d5d5;
  padding: 0.5rem 1rem;
  color: #8e8e8e;
}

.num-item {
  background-color: white;
  color: #8e8e8e;
  padding: 0.5rem 2rem;
  /* font-size: 14.5px; */
}

.qty-item {
  margin-left: 1rem;
  margin-right: 4.5rem;
  font-size: 13.5px;
  color: #8e8e8e;
  font-weight: 520;
}

.lee-min-ho {
  margin-top: 2rem;
  background-color: #ffeee8;
  border: 2px solid #f27a61;
  color: #f27a61;
  padding: 13px 52px;
}

.lee-min-ho:hover {
  background-color: #fff5f1;
}
/*End of Item*/

/*Alert boxes*/
.loading {
  display: block !important;
}

.alert {
  padding: 1rem;
  border: 0.1rem solid transparent;
  border-radius: 0.5rem;
}

.alert-info {
  color: #2020a0;
  background-color: #e0e0ff;
}

.alert-danger {
  color: #a02020;
  background-color: #ffe0e0;
}

.danger {
  color: #a02020;
}

/*End of Alert boxes*/

/*Login*/
.container-login {
  background-color: #ca0000;
  padding: 3rem 20rem;
  display: flex;
}

.image-login {
  display: inline-block;
  flex: none;
}

.form-login {
  display: inline-block;
  background-color: white;
  border-radius: 1%;
  padding: 3rem;
  flex: none;
  align-self: baseline;
  width: 40rem;
  padding-bottom: 10rem;
}

.form-login input {
  margin-top: 1.5rem;
  margin-bottom: 0.5rem;
  height: 30px;
  width: 95%;
}

.btn-login {
  margin-top: 3rem;
  height: 35px;
  width: 95%;
  background-color: #f3826c;
  color: white;
  border: 0;
}

.btn-login:hover {
  background-color: red;
  cursor: pointer;
}

.reg-login {
  display: flex;
  margin-top: 6rem;
  justify-content: center;
}

.lu-login {
  font-size: 20px;
}

.nts-login {
  color: #e2e2e2;
  padding-right: 1rem;
  font-size: 13px;
}

.su-login {
  color: #f0694e;
  font-size: 13px;
  font-weight: 550;
}

/*End of Login*/

/* Dropdown */
.dropdown {
  display: inline-block;
  position: relative;
}
.dropdown-content {
  position: absolute;
  display: none;
  right: 0;
  min-width: 12rem;
  padding: 1rem;
  z-index: 1;
  background-color: white;
  margin: 0;
  margin-top: 0.4rem;
  border-radius: 0.5rem;
  color: black;
}

.dropdown ul {
  list-style-type: none;
}

.dropdown:hover .dropdown-content {
  display: block;
  text-decoration: none;
  background-color: #fafafa;
}

.dropdown ul li:hover {
  color: #20c6af;
  text-decoration: none;
}

/*End of Dropdown*/

/* Checkout Steps */
.checkout-steps > div {
  margin-top: 2rem;
  border-top: 0.3rem #c0c0c0 solid;
  color: #c0c0c0;
  flex: 1;
  padding: 1rem;
  font-weight: bold;
}
.checkout-steps > div.active {
  border-top-color: #f08000;
  color: #f08000;
}
/*End of Checkout Steps*/

/*Payment*/
.container-payment {
  background-color: white;
  width: 100%;
  padding: 1.5rem;
}

.deladd-payment {
  margin-bottom: 1.5rem;
  color: #ee5335;
}

.name-payment {
  margin-right: 1rem;
  font-weight: 700;
}

.container-payment {
  background-color: white;
  width: 100%;
  padding: 1.5rem;
  margin-bottom: 0.3rem;
}

/*End of Payment*/

/*Order History*/
button.small {
  font-size: 1.2rem;
}

.table {
  width: 100%;
  border-collapse: collapse;
}

.table tbody tr:nth-of-type(odd) {
  background-color: #f4f4f4;
}
.table td,
.table th {
  text-align: left;
  border: 0.1rem solid #e4e4e4;
  padding: 0.5rem;
  font-size: 11px;
}

.table button {
  margin: 0 0.2rem;
}

/*End of Order History*/

/*Product Edit*/
.isActive {
  background-color: white;
  border: black solid;
  padding: 0.2rem;
  cursor: pointer;
}
/*End of Product Edit*/

/*Table Effect*/

.to-table {
  display: table;
}

.to-row {
  display: table-row;
}

.to-cell {
  display: table-cell;
  padding: 0.2rem;
  padding-right: 2rem;
}

.center {
  margin: auto;
  margin-top: 3rem;
  background-color: white;
  padding: 3rem;
}

.right {
  float: right;
}

/*End of Table Effect*/

/*Item Table*/
.desc-left {
  color: grey;
  font-size: 14px;
}
.desc-right {
  font-size: 14px;
}

.btn-save {
  cursor: pointer;
  background-color: #ee4d2d;
  padding: 1rem 1.5rem;
  color: white;
  border: none;
}

.btn-save:hover {
  background-color: #f48f7b;
}

/*End of Item Table*/

/*Cart*/
.label-total-cart {
  color: black;
}

.total-cart {
  color: #ee4d2d;
  font-size: 22px;
}

.label-saved-cart {
  font-size: 13px;
  color: grey;
}

.saved-cart {
  color: #ee4d2d;
  font-size: 13px;
}

.btn-checkout {
  cursor: pointer;
  background-color: #ee4d2d;
  padding: 1rem 8rem;
  color: white;
  border: none;
  height: 35px;
}

.btn-checkout:hover {
  background-color: #f48f7b;
}
/*End of Cart*/
